<form class="mx-5" #leadForm = "ngForm" (ngSubmit) = "addLead()">
  <h4>Organization Details</h4>
  <div class="form-row">
    
  <div class="form-group col-md-3 px-2">
    <label for="companyName">Name of Company</label>
    <input type="text" class="form-control" id="companyName" name= "companyName" [(ngModel)] = "leadDetail.organizationInfo.name" required>
  </div>
  <div class="form-group col-md-3 px-2">
    <label for="companySite">Website</label>
    <input type="text" class="form-control" id="companySite" name= "companySite" [(ngModel)] = "leadDetail.organizationInfo.website">
  </div>
  <div class="form-group col-md-3 px-2">
    <label for="natureOfBusiness">Nature of Business</label>
    <input type="text" class="form-control" id="natureOfBusiness" name= "natureOfBusiness" [(ngModel)] = "leadDetail.organizationInfo.natureOfBusiness" required>
  </div>
  </div>
  <h4>Contact Details</h4>
  <div class="form-row">
    <div class="form-group col-md-3">
      <label for="contactType">Contact Type</label>
      <select class="form-control" id="contactType" name= "contactType" [(ngModel)] = "leadDetail.contactInfo.contactType">
        <option>Type1</option>
        <option>Type2</option>
      </select>
    </div>
    <div class="form-group col-md-3 px-2">
      <label for="contactName">Name</label>
      <input type="text" class="form-control" id="contactName" name= "contactName" [(ngModel)] = "leadDetail.contactInfo.name" required>
    </div>
    <div class="form-group col-md-3 px-2">
      <label for="dob">Date of Birth</label>
      <input type="date" class="form-control" id="dob" name= "dob" [(ngModel)] = "leadDetail.contactInfo.Dob">
    </div>
  </div>
    <div class="form-row">
    <div class="form-group col-md-3">
      <label for="gender">Gender</label>
      <select id="gender" class="form-control" name= "gender" [(ngModel)] = "leadDetail.contactInfo.gender">
        <option *ngFor="let gender of genders">
          {{gender}}
        </option>
      </select>
    </div>
    <div class="form-group col-md-3">
      <label for="emailId">Email Address</label>
      <input type="email" class="form-control" id="emailId" name= "emailId" [(ngModel)] = "leadDetail.contactInfo.emailId" required>
    </div>
    <div class="form-group col-md-3">
      <label for="contactNumber">Phone Number</label>
      <input type="tel" class="form-control" id="contactNumber" maxlength=10 minlength=10 pattern="[0-9]" name= "contactNumber" [(ngModel)] = "leadDetail.contactInfo.phoneNumber" required>
    </div>
  </div>

  <h4>Lead Details</h4>
  <div class="form-row">
    
  <div class="form-group col-md-3 px-2">
    <label for="loanAmount">Loan Amount</label>
    <input type="number" class="form-control" id="loanAmount" required>
  </div>
  <div class="form-group col-md-3 px-2">
    <label for="leadSource">Lead Source</label>
    <select id="leadSource" class="form-control">
    <option *ngFor="let source of leadSources">
      {{source}}
    </option>
    </select>
  </div>
  <div class="form-group col-md-3 px-2">
    <label for="communicationMode">Communication Mode</label>
    <select id="communicationMode" class="form-control">
      <option *ngFor="let mode of communicationModes">
        {{mode}}
      </option>
      </select>
  </div>
  </div>
  <button type="submit" class="btn btn-primary">Submit Lead</button>
</form>